# $Revision: 1.10 $, $Date: 2006/02/24 15:13:09 $
Summary:	A tools to control CPU frequency
Summary(pl):	Narzdzia do kontroli czstotliwoci procesora
Name:		cpudyn
Version:	1.0.1
Release:	2
License:	GPL
Group:		Daemons
Source0:	http://mnm.uib.es/~gallir/cpudyn/download/%{name}-%{version}.tgz
# Source0-md5:	670d32eb953f99ba04aee44848864228
Source1:	%{name}.init
Source2:	%{name}.conf
URL:		http://mnm.uib.es/~gallir/cpudyn/
BuildRequires:	rpmbuild(macros) >= 1.268
Requires(post,preun):	/sbin/chkconfig
Requires:	rc-scripts
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sbindir	/sbin

%description
This program control the speed in Intel SpeedStep, Pentium 4 Mobile
and PowerPC machines with the cpufreq compiled in the kernel.

Tested with 2.4, Pentium 3 Speedstep Laptop (Dell Latitude), Pentium 4
Mobile Laptop (Dell Inspiron), AMD Power Now, Apple iBook, IBM
Thinkpad. cpudyn is just a user space program, so it will work on
every processor supported by the kernel's cpufreq driver.

%description -l pl
Ten program kontroluje prdko procesorw Intel SpeedStep, Pentium 4
Mobile oraz PowerPC (o ile kernel zosta skompilowany z obsug
cpufreq).

Program ten zosta przetestowany na jdrze 2.4, na Pentium 3 SpeedStep
(Dell Latitude), Pentium 4 Mobile (Dell Inspiron), AMD Power Now,
Apple iBook, IBM Thinkpad. cpudyn jest programem userspace, wic
bdzie wsppracowa z kadym procesorem wspieranym przez sterownik
cpufreq.

%prep
%setup -q -n %{name}

%build
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} -Wall"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},%{_sysconfdir},/etc/rc.d/init.d/,%{_mandir}/man8}

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/cpudynd
install %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/cpudyn.conf
install cpudynd $RPM_BUILD_ROOT%{_sbindir}
install cpudynd.8 $RPM_BUILD_ROOT%{_mandir}/man8

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add cpudynd
%service cpudynd restart

%preun
if [ "$1" = "0" ]; then
	%service cpudynd stop
	/sbin/chkconfig --del cpudynd
fi

%files
%defattr(644,root,root,755)
%doc README faq.html
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/cpudyn.conf
%attr(755,root,root) %{_sbindir}/cpudynd
%attr(754,root,root) /etc/rc.d/init.d/cpudynd
%{_mandir}/man8/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: cpudyn.spec,v $
Revision 1.10  2006/02/24 15:13:09  glen
- proper BR

Revision 1.9  2006/02/24 15:12:13  glen
- add missing scripts, rel 2

Revision 1.8  2005/08/25 20:54:17  darekr
- defined _sbindir to /sbin

Revision 1.7  2005/05/15 12:28:23  aflinta
- up to version 1.0.1, it doesn't require cpufreqd

Revision 1.6  2004/09/02 23:07:29  blues
- lets see it...

Revision 1.5  2004/06/27 16:55:48  adamg
- two more typos
- pass CC and CFLAGS
- don't compress man page - let rpm handle it

Revision 1.4  2004/06/27 16:50:28  adamg
- typo in en description
- simplifactions

Revision 1.3  2004/06/27 16:45:41  adamg
- pl description

Revision 1.2  2004/06/27 16:35:51  pbern
- add R: cpufreqd

Revision 1.1  2004/06/27 16:32:44  pbern
- init
- rel 0.1
